This forum is a discussion about improving the "Install an older version of Firefox" article. If you'd like to participate, please register.

If you need help with Firefox, please ask a question.

[Fx55] Add note on profile breakage when downgrading from Firefox 55+ (bug 1357428)

  • 1 Replies
  • Last reply by AliceWyman
  1. AliceWyman 4913 posts
    Report Abuse

    This came up in another article discussion, where I posted the following:


    I found: Bug 1246615 - Make Firefox explicitly aware when running a profile from future. ... which links to other related bugs, including: Bug 1357428 Profiles used with Firefox 55 will no longer work with older versions of the browser (quote) Firefox 55 changed the on-disk format of persistent storage in profiles. Once a profile has been used with Firefox 55 (or later), it should not be used with previous versions of Firefox. IndexedDB, the (DOM) Cache API, Service Workers, and the asm.js cache will all fail to operate, generating confusing errors and causing portions of Firefox and some websites to break. The profile can be made operable again in older versions of Firefox by using the profile "refresh" mechanism.

    We need to add a note to this article (and other articles that suggest downgrading from Firefox 55+ to an earlier version) that downgrading Firefox can cause various profile issues that can be resolved by refreshing Firefox.


    I added a "Needs change" entry to add a warning note to this article. Here is a possible warning we could add:

    {for fx55} {warning} By default, different versions of Firefox will use the same user profile data. Installing an older version of Firefox after using Firefox version 55 or above can cause problems such as error messages, breakage in portions of Firefox and issues with some websites. You should either create a new profile or else refresh Firefox after installing the older version. {/for}

    This came up in [https://support.mozilla.org/en-US/kb/google-hangouts-temporarily-wont-work-on-firefox/discuss/7097 another article discussion], where I posted the following: ----- I found: [https://bugzilla.mozilla.org/show_bug.cgi?id=1246615 Bug 1246615] - Make Firefox explicitly aware when running a profile from future. ... which links to other related bugs, including: [https://bugzilla.mozilla.org/show_bug.cgi?id=1357428 Bug 1357428] Profiles used with Firefox 55 will no longer work with older versions of the browser (quote) ''Firefox 55 changed the on-disk format of persistent storage in profiles. Once a profile has been used with Firefox 55 (or later), it should not be used with previous versions of Firefox. IndexedDB, the (DOM) Cache API, Service Workers, and the asm.js cache will all fail to operate, generating confusing errors and causing portions of Firefox and some websites to break. The profile can be made operable again in older versions of Firefox by using the profile "refresh" mechanism.'' We need to add a note to this article (and other articles that suggest downgrading from Firefox 55+ to an earlier version) that downgrading Firefox can cause various profile issues that can be resolved by [[Refresh Firefox - reset add-ons and settings|refreshing Firefox]]. ----- I added a "Needs change" entry to add a warning note to this article. Here is a possible warning we could add: {for fx55}<!--https://bugzilla.mozilla.org/show_bug.cgi?id=1357428--> {warning} By default, different versions of Firefox will use the same [[Profiles - Where Firefox stores your bookmarks, passwords and other user data|user profile data]]. Installing an older version of Firefox after using Firefox version 55 or above can cause problems such as error messages, breakage in portions of Firefox and issues with some websites. You should either [[Use the Profile Manager to create and remove Firefox profiles|create a new profile]] or else [[Refresh Firefox - reset add-ons and settings|refresh Firefox]] after installing the older version. {/for}
    Modified by AliceWyman on
  2. AliceWyman 4913 posts
    Report Abuse
    For what it's worth: https://www.ghacks.net/2017/08/02/you-cannot-downgrade-firefox-55-profiles/ https://www.reddit.com/r/firefox/comments/6r6kab/reminder_if_you_plan_to_downgrade_to_52_esr/
    Modified by AliceWyman on